/* Blinking animation for overdue book warning. */
.blinking {
    color: #ff4d4d;
    animation: blinkingText 3s infinite;
}

@keyframes blinkingText {
    0% {
        opacity: 0.2;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0.2;
    } 
}

/* Makes it so that the table width fits the screen. */
.form-inline label {
    display: inline !important;
}
.form-inline {
    display: inline !important;
}

/* For Checkout and History search bars. */
/* .form-control {

} */

/* Red outline for overdue books */
.table * {
    border: none !important;
}

table.dataTable {
    border-collapse: collapse !important;
}
.overdue {
    border: 2px solid rgb(255, 51, 51) !important;
}

/* Mobile table styles */
@media only screen and (max-width: 800px) {
    .mobile-header {
      margin-top: 15px;
    }
    #hide-table td {
        padding-left: 10px !important;
    }
    .mobile-key {
        width: 100% !important;
        margin: auto;
    }
    .form-control {
        margin-bottom: 5px;
    }
  }

/* Custom styles for front-end pagination bar. */
  .pagination {
    display: inline-block;
    padding-left: 0;
    margin: 20px 0;
    border-radius: 4px;
  }
  
  .pagination li a {
    position: relative;
    float: left;
    padding: 6px 12px;
    margin-left: -1px;
    line-height: 1.42857143;
    color: #337ab7;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #ddd;
}
  
.pagination li{
    padding: 0rem 0rem;
    border: 0px solid rgba(0, 72, 94, 0.95);
}
.active a{
    background-color: #337ab7 !important;
    color: white !important;
}